## radioactv radioactv — motion-enlightment effect |

## Synopsis

    struct              GstRadioacTV;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstRadioacTV

## Properties

      "color"                    GstRadioacTVColor     : Read / Write
      "interval"                 guint                 : Read / Write
      "mode"                     GstRadioacTVMode      : Read / Write
      "trigger"                  gboolean              : Read / Write

## Description

RadioacTV does *NOT* detect a radioactivity. It detects a difference from previous frame and blurs it.

RadioacTV has 4 mode, normal, strobe1, strobe2 and trigger. In trigger mode, effect appears only when the trigger property is `TRUE`.

strobe1 and strobe2 mode drops some frames. strobe1 mode uses the difference between current frame and previous frame dropped, while strobe2 mode uses the difference from previous frame displayed. The effect of strobe2 is stronger than strobe1.

### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! radioactv ! videoconvert ! autovideosink

This pipeline shows the effect of radioactv on a test stream.

## Synopsis

### Element Information

plugin | effectv
author | FUKUCHI, Kentarou <fukuchi@users.sourceforge.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ RGBx, BGRx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBx, BGRx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstRadioacTV

    struct GstRadioacTV;

## Property Details

### The `"color"` property

      "color"                    GstRadioacTVColor     : Read / Write

Color.

Default value: White

### The `"interval"` property

      "interval"                 guint                 : Read / Write

Snapshot interval (in strobe mode).

Allowed values: <= G_MAXINT

Default value: 3

### The `"mode"` property

      "mode"                     GstRadioacTVMode      : Read / Write

Mode.

Default value: Normal

### The `"trigger"` property

      "trigger"                  gboolean              : Read / Write

Trigger (in trigger mode).

Default value: FALSE